Skip to main content
GET
List all account transfers

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

clientEntityId
string<uuid>

Identifier of the client entity. Filters results to fetch only resources associated with the specified client entity.

Example:

"a3f1b2c4-d5e6-7890-abcd-ef1234567890"

accountId
string

Identifier of the account. Filters results to fetch only resources associated with the specified account.

Example:

"1000565227"

sourceAccountId
string

Identifier of the source account. Filters transfers to those originating from the specified account.

Example:

"1000565227"

destinationAccountId
string

Identifier of the destination account. Filters transfers to those sent to the specified account.

Example:

"1000565227"

sourceType
enum<string>

Filter by source type.

Available options:
account,
blockchain
destinationType
enum<string>

Filter by destination type.

Available options:
account,
blockchain
from
string<date-time>

Queries items created since the specified date-time (inclusive).

Example:

"2020-04-10T02:13:30.000Z"

to
string<date-time>

Queries items created before the specified date-time (inclusive).

Example:

"2020-04-10T02:13:30.000Z"

pageBefore
string

A collection ID value used for pagination.

It marks the exclusive end of a page. When provided, the collection resource will return the next n items before the id, with n being specified by pageSize.

The items will be returned in the natural order of the collection.

The resource will return the first page if neither pageAfter nor pageBefore are specified.

SHOULD NOT be used in conjuction with pageAfter.

pageAfter
string

A collection ID value used for pagination.

It marks the exclusive begin of a page. When provided, the collection resource will return the next n items after the id, with n being specified by pageSize.

The items will be returned in the natural order of the collection.

The resource will return the first page if neither pageAfter nor pageBefore are specified.

SHOULD NOT be used in conjuction with pageBefore.

pageSize
integer

Limits the number of items to be returned.

Some collections have a strict upper bound that will disregard this value. In case the specified value is higher than the allowed limit, the collection limit will be used.

If avoided, the collection will determine the page size itself.

Required range: x >= 1
Example:

5

Response

Successfully retrieved a list of transfers.

data
object[]